- Qt 5.15
- Qt Core
- qt5_add_resources
- Qt 5.15.19 Reference Documentation

# qt5_add_resources

## Synopsis

     qt5_add_resources(<VAR> file1.qrc [file2.qrc ...]
                       [OPTIONS ...])

## Description

You can set additional `OPTIONS` that should be added to the `rcc` calls. You can find possible options in the rcc documentation.

For embedding bigger resources, see qt5_add_big_resources.

Note: For compatibility with Qt 6, the command is also available under the name qt_add_resources.

## Arguments

You can set additional `OPTIONS` that should be added to the `rcc` calls. You can find possible options in the rcc documentation.

## Examples

     set(SOURCES main.cpp)
     qt5_add_resources(SOURCES example.qrc)
     add_executable(myapp ${SOURCES})